import request from '@/utils/request';

// 查询菜单列表
export const listMenu = (query) => {
  return request({
    url: '/api/system/menu/list',
    method: 'get',
    params: query
  });
};

export const listMenu2 = (query) => {
  return request({
    url: '/api/layerConfiguration/getRouters',
    method: 'get',
    params: query
  });
};

// 查询菜单详细
export const getMenu = (menuId) => {
  return request({
    url: '/api/system/menu/' + menuId,
    method: 'get'
  });
};

// 查询菜单详细
export const getLayerMenu = (menuId) => {
  return request({
    url: '/api/system/layer_menu/' + menuId,
    method: 'get'
  });
};
// 查询菜单下拉树结构
export const treeselect = () => {
  return request({
    url: '/api/system/menu/treeselect',
    method: 'get'
  });
};

// 根据角色ID查询菜单下拉树结构
export const roleMenuTreeselect = (roleId) => {
  return request({
    url: '/api/system/menu/roleMenuTreeselect/' + roleId,
    method: 'get'
  });
};

// 根据角色ID查询菜单下拉树结构
export const tenantPackageMenuTreeselect = (packageId) => {
  return request({
    url: '/api/system/menu/tenantPackageMenuTreeselect/' + packageId,
    method: 'get'
  });
};

// 新增菜单
export const addMenu = (data) => {
  return request({
    url: '/api/system/menu/create',
    method: 'post',
    data: data
  });
};

// 修改菜单
export const updateMenu = (data) => {
  return request({
    url: '/api/system/menu',
    method: 'put',
    data: data
  });
};

// 删除菜单
export const delMenu = (menuId) => {
  return request({
    url: '/api/system/menu/' + menuId,
    method: 'delete'
  });
};
